Summary:	A frontend for MLDonkey
Name:		kmldonkey
Version:	2.0.2
Release:	%mkrel 12
Source0:	kmldonkey-2.0.2-kde4.4.0.tar.xz
License:	GPL
Group:		Graphical desktop/KDE4
URL:		http://extragear.kde.org/apps/kmldonkey/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mldonkey
Requires:	mldonkey-init
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%{name} < %version

%description
KMLDonkey is a frontend for MLDonkey, a powerful P2P file sharing tool,
designed for the KDE desktop.

%description -l de
Kmldonkey ist ein Frontend für MLDonkey, ein mächtiges P2P-Filesharing-Tool
Entworfen für den KDE-Desktop.

%description -l fr
KMLDonkey est un frontend pour MLDonkey, un puissant outil de partage de fichiers P2P,
conçu pour le bureau KDE.

%description -l es
KMLDonkey es un frontend para MLDonkey, una poderosa herramienta de intercambio de archivos P2P,
diseñadas para el escritorio KDE.

%description -l pl
KMldonkey jest nakładka na MLDonkey, potężne narzędzie wymiany plików P2P,
przeznaczony dla środowiska KDE.

%description -l sr
КМЛДонкеы је крајњи за МЛДонкеы, моћан П2П алат за дељење датотека,
дизајниран за КДЕ десктопу.

%description -l nl
KMLDonkey is een frontend voor MLDonkey, een krachtige P2P file sharing tool,
ontworpen voor de KDE-desktop.

%package devel
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Obsoletes: 	%{name}-devel < %version

%description devel
Contains the libraries and header files needed to
develop programs which make use of %{name}.


%prep
%setup -q -n kmldonkey-2.0.2-kde4.4.0

%build
%cmake_kde4

%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_kde_bindir}/kmldonkey                                                
%{_kde_applicationsdir}/kmldonkey.desktop                                   
%{_kde_appsdir}/kmldonkey/icons/hicolor/*/apps/*
%{_kde_appsdir}/kmldonkey/*rc                                         
%{_kde_iconsdir}/hicolor/*/apps/*
%{_kde_services}/*-kmldonkey.desktop      
%{_kde_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/kmldonkey.mo

%files devel
%defattr(-,root,root)
%{_kde_includedir}/kmldonkey/*.h                                               
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/*.so


%changelog
* Wed Jul 22 2015 pinoc <vogtpet at gmail.com> 2.0.2-12pclos2015
- rebuild on 15.04.3

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 2.0.2-11pclos2015
- rebuild on 15.04.0

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 2.0.2-10pclos2014
- rebuild on 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 2.0.2-9pclos2014
- rebuild on 4.13.3 with updated source

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 2.0.2-8pclos2014
- rebuild on 4.12.3

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 2.0.2-7pclos2014
- rebuild on 4.11.5

* Sun Apr 28 2013 pinoc <vogtpet at gmail.com> 2.0.2-6pclos2013
- rebuild against kde 4.10.1
- build for 32/64

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 2.0.2-4pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 2.0.2-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com>
- rebuild for 2010

* Thu Aug 06 2009 pcserver <pcserver at hushmail.com> 
- create 

